WriteNowTextInternal::Table Struct Referencefinal
Inheritance diagram for WriteNowTextInternal::Table:

## Public Member Functions

| Table ()
| constructor
| ~Table () final
| destructor
Cell * | get (int id)
| return a cell corresponding to id
Public Member Functions inherited from MWAWTable
| MWAWTable (uint32_t givenData=BoxBit)
| the constructor
virtual | ~MWAWTable ()
| the destructor
void | add (std::shared_ptr< MWAWCell > cell)
| add a new cells
bool | mergeBorders () const
| returns true if we need to merge borders
bool | setMergeBorders (bool val)
| sets the merge borders' value
void | setAlignment (Alignment align, float leftMargin=0, float rightMargin=0)
| defines the current alignment
int | numCells () const
| returns the number of cell
std::vector< float > const & | getRowsSize () const
| returns the row size if defined (in point)
void | setRowsSize (std::vector< float > const &rSize)
| define the row size (in point)
std::vector< float > const & | getColsSize () const
| returns the columns size if defined (in point)
void | setColsSize (std::vector< float > const &cSize)
| define the columns size (in point)
std::shared_ptr< MWAWCell > | get (int id)
| returns the i^th cell
bool | updateTable ()
| try to build the table structures
bool | hasExtraLines ()
| returns true if the table has extralines
bool | sendTable (MWAWListenerPtr listener, bool inFrame=true)
| try to send the table
bool | sendAsText (MWAWListenerPtr listener)
| try to send the table as basic text
void | addTablePropertiesTo (librevenge::RVNGPropertyList &propList) const
| adds the table properties to propList

## Additional Inherited Members

Public Types inherited from MWAWTable
enum | DataSet { CellPositionBit =1 , BoxBit =2 , SizeBit =4 , TableDimBit =8 , TablePosToCellBit =0x10 }
| an enum used to indicate what the list of entries which are filled More...
enum | Alignment { Paragraph , Left , Center , Right }
| an enum do define the table alignment. More...
Protected Member Functions inherited from MWAWTable
int | getCellIdPos (int col, int row) const
| convert a cell position in a posToCellId's position
bool | buildStructures ()
| create the correspondance list, ...
bool | buildDims ()
| compute the rows and the cells size
bool | buildPosToCellId ()
| a function which fills to posToCellId vector using the cell position
void | sendExtraLines (MWAWListenerPtr listener) const
| send extra line
Protected Attributes inherited from MWAWTable
uint32_t | m_givenData
| a int to indicate what data are given in entries
uint32_t | m_setData
| a int to indicate what data are been reconstruct
bool | m_mergeBorders
| do we need to merge cell borders ( default yes)
std::vector< std::shared_ptr< MWAWCell > > | m_cellsList
| the list of cells
size_t | m_numRows
| the number of rows ( set by buildPosToCellId )
size_t | m_numCols
| the number of cols ( set by buildPosToCellId )
std::vector< float > | m_rowsSize
| the final row size (in point)
std::vector< float > | m_colsSize
| the final col size (in point)
Alignment | m_alignment
| the table alignment
float | m_leftMargin
| the left margin in point
float | m_rightMargin
| the right margin in point
std::vector< int > | m_posToCellId
| a vector used to store an id corresponding to each cell
bool | m_hasExtraLines
| true if we need to send extra lines

## Constructor & Destructor Documentation

## Table()

WriteNowTextInternal::Table::Table | ( |  | ) |

inline

constructor

## ~Table()

WriteNowTextInternal::Table::~Table | ( |  | ) |

final

destructor

## Member Function Documentation

## get()

Cell * WriteNowTextInternal::Table::get | ( | int | id | ) |

inline

return a cell corresponding to id

Referenced by get().

The documentation for this struct was generated from the following file:

- WriteNowText.cxx